MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001376Orfeo Toolbox (OTB)Generalpublic2017-03-22 09:132017-04-27 15:32
Reporterjulien 
Assigned Tojulien 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0001376: Can not build Superbuild with C++11
DescriptionWhen trying to build superbuild (5.11), with MUPARSERX and SHARK dependencies, cmake complains about requiring --std=c++11 to cxx compiler flags, but adding --std=c++11 to CMAKE_CXX_FLAGS has no effect.
Steps To Reproduceccmake OTB/Superbuild
Set OTB_USE_MUPARSERX to True
configure :

Error message :

OTB version : 5.11.0

 CMake Error at CMake/SuperBuild_Macro.cmake:200 (message):
   MUPARSERX requires C++11 support. consider adding --std=c++11 to your cxx
   compiler flags or disable MUPARSERX
 Call Stack (most recent call first):
   CMake/External_muparserx.cmake:25 (package_require_cxx11)
   CMake/SuperBuild_Macro.cmake:56 (include)
   CMake/External_otb.cmake:72 (ADDTO_DEPENDENCIES_IF_NOT_SYSTEM)
   CMakeLists.txt:326 (include)

Add --std=c++11 to CMAKE_CXX_FLAGS
configure again
===> Still same error message
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004074)
rashadkm (developer)
2017-03-22 09:32

hope this is a typo?

Add "--std=c++11" to CMAKE_CXX_FLAGS

If not please attach your cmakecache.txt of superbuild
(0004081)
Ludovic (developer)
2017-04-03 09:58

Typos "--std=c++11" was changed to "-std=c++11" in CMakeLists.txt but not in SuperBuild_Macro.cmake and OTBModuleEnablement.cmake

But indeed adding "--std=c++11" flag instead of "-std=c+11" do not activate C++11.


Typos correction :
commit: https://git.orfeo-toolbox.org/otb.git/commit/b896507f40fff584dc1cde4d1f591d78273bcc71 [^]
(0004085)
julien (administrator)
2017-04-04 14:43

Not just a typo : adding -std=c++11 to CMAKE_CXX_FLAGS in superbuild still does not work. Error at cmake configuration, during ccmake ../otb/Superbuild.


OTB version : 5.11.0

 CMake Error at CMake/SuperBuild_Macro.cmake:200 (message):
   MUPARSERX requires C++11 support. consider adding -std=c++11 to your cxx
   compiler flags or disable MUPARSERX
 Call Stack (most recent call first):
   CMake/External_muparserx.cmake:25 (package_require_cxx11)
   CMake/SuperBuild_Macro.cmake:56 (include)
   CMake/External_otb.cmake:72 (ADDTO_DEPENDENCIES_IF_NOT_SYSTEM)
   CMakeLists.txt:326 (include)


With the latest develop.
(0004097)
julien (administrator)
2017-04-05 11:34

https://git.orfeo-toolbox.org/otb.git/blobdiff/82c7c2053edbe079dc90535956b5996604689ef8..de93dc9e14d8f2468a2538e1e03ecb030e07ea55:/CMake/OTBCheckCpp11Keywords.cmake [^]

- Issue History
Date Modified Username Field Change
2017-03-22 09:13 julien New Issue
2017-03-22 09:32 rashadkm Note Added: 0004074
2017-04-03 09:58 Ludovic Note Added: 0004081
2017-04-03 09:58 Ludovic Status new => feedback
2017-04-04 14:43 julien Note Added: 0004085
2017-04-04 14:43 julien Status feedback => new
2017-04-05 09:54 poughov Priority normal => urgent
2017-04-05 11:34 julien Note Added: 0004097
2017-04-05 11:34 julien Status new => resolved
2017-04-05 11:34 julien Resolution open => fixed
2017-04-05 11:34 julien Assigned To => julien
2017-04-27 15:32 julien Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker